Shared Folders

This section covers:

  • Shared Folders overview
  • Special shares
  • Types of access permissions for shares
  • Working with Shared Resources
  • Working with Users and Groups


Shared Folders overview

Using Shared Folders, you can view a summary of connections and resource use for local and remote computers. In Windows 2000, Shared Folders replaces resource-related components in the Windows NT 4.0 Server Control Panel.

With Shared Folders, you can perform the following tasks:

  • Create, view, and set permissions for shares, including shares on computers running Windows NT 4.0.
  • View a list of all users who are connected to the computer over a network and disconnect one or all of them.
  • View a list of files opened by remote users and close one or all of the open files.
  • Configure Services for Macintosh. This enables personal computer users and Macintosh users to share files and other resources, such as printing devices, through a computer running Windows 2000 Server. (This is available only on computers running Windows 2000 Server.)

    Macintosh clients need to run an Apple networking protocol to access Macintosh volumes and Macintosh printers.

Shared Folders provides information, arranged in columns, about all the shares, sessions, and open files on the local computer. The column headings are defined below.

Shares

Shares provides the following information about the shared resources available on the computer:

  • Shared Folder
  • Shared Path
  • Type
  • # Sessions
  • Comment

Sessions

Sessions provides the following information about all the network users connected to the computer:

  • User
  • Computer
  • Type
  • Open Files
  • Connected Time
  • Idle Time
  • Guest

Open Files

Open Files provides the following information about all the open file on the computer:

  • Open File
  • Accessed By
  • Type
  • # Locks
  • Open Mode

For Windows 2000 Professional, only members of the Administrators or Power Users group can use Shared Folders.

For Windows 2000 Server, members of the Server Operators group can also use Shared Folders.

Related Topics


Special shares

A computer's shared resources include those resources (such as folders) that have been shared by a user or an administrator, plus any special shares that may have been created by the system.

Depending on the configuration of the computer being administered, some or all of the following special shares may appear when Windows 2000 presents a list of the computer's shared resources. Special shares are created by the system. In most cases, special shares should not be deleted or modified.

[drive letter]$

A share that allows administrative personnel to connect to the root directory of a storage device. Shown as A$, B$, C$, D$, and so on. For example, D$ is a share name by which drive D might be accessed by an administrator over the network.

For a Windows 2000 Professional computer, only members of the Administrators or Backup Operators group can connect to these shares. For a Windows 2000 Server computer, members of the Server Operators group can also connect to these shares.

ADMIN$

A resource used by the system during remote administration of a computer. The path of this resource is always the path to the Windows 2000 system root (the directory in which Windows 2000 is installed: for example, C:\Winnt).

IPC$

A resource sharing the named pipes that are essential for communication between programs. It is used during remote administration of a computer and when viewing a computer's shared resources.

PRINT$

A resource used during remote administration of printers.

NETLOGON

A resource used by the Net Logon service of a Windows 2000 Server computer while processing domain logon requests.

This resource is provided only for Windows 2000 Server computers. It is not provided for Windows 2000 Professional computers.

FAX$

A share on a server used by fax clients in the process of sending a fax. The share is used to temporarily cache files and access cover pages stored on the server.


Types of access permissions for shares

The following types of access permissions can be applied to shared folders.

    Read

    Read permission allows:

    • Viewing file names and subfolder names.
    • Traversing to subfolders.
    • Viewing data in files.
    • Running program files.

    Change

    Change permission allows all Read permissions, plus:

    • Adding files and subfolders.
    • Changing data in files.
    • Deleting subfolders and files.

    Full Control

    Full Control is the default permission applied to any new shares you create. It allows all Read and Change permissions, plus:

    • Changing permissions (NTFS files and folders only).
    • Taking ownership (NTFS files and folders only).

Note

  • When a folder is shared, the default is to grant Full Access permissions to the Everyone group.


Working with Shared Resources

  • View a list of shares, sessions, or open files
  • Disconnect a user or users
  • Close an open file or resource
  • Create a shared folder
  • Stop sharing a folder
  • Change permissions on a shared folder
  • Set caching options for a shared folder


View a list of shares, sessions, or open files

To view a list of shares, sessions, or open files

  • Open Shared Folders.
  • In the console tree, click Shares, Sessions, or Open Files.

Notes

  • To open Shared Folders, click Start, point to Settings, and click Control Panel. Double-click Administrative Tools, double-click Computer Management, and then double-click Shared Folders.
  • Files opened by other users are displayed, but not files opened by you.
  • To share printers or manage shared printers, in Control Panel, double-click Printers.
  • When you are administering another computer remotely, your connection appears as an open named pipe. It cannot be closed.
  • For Windows 2000 Professional, only members of the Administrators or Power Users group can use Shared Folders. For Windows 2000 Server, members of the Server Operators group can also use Shared Folders.


Disconnect a user or users

To disconnect a user or users

  1. Open Shared Folders.
  2. In the console tree, click Sessions.
  3. To disconnect one user, right-click the user name and then click Close Session.

    To disconnect all users, click Action, and then click Disconnect All Sessions.

Important

  • Disconnecting users who are using resources may result in loss of data. It is a good idea to warn connected users before disconnecting them.

Notes

  • To open Shared Folders, click Start, point to Settings, and click Control Panel. Double-click Administrative Tools, double-click Computer Management, and then double-click Shared Folders.
  • While you are remotely administering another computer, your connection will be displayed as an open named pipe.
  • For Windows 2000 Professional, only members of the Administrators or Power Users group can use Shared Folders. For Windows 2000 Server, members of the Server Operators group can also use Shared Folders.


Close an open file or resource

To close an open file or resource

  1. Open Shared Folders.
  2. In the console tree, click Open Files.
  3. To disconnect one open file or resource, right-click the file name, and then click Close Open File.

    To disconnect all open resources, click Action, and then click Disconnect All Open Files.

Important

  • Closing resources may result in loss of data. It is a good idea to warn connected users before closing resources.

Notes

  • To open Shared Folders, click Start, point to Settings, and click Control Panel. Double-click Administrative Tools, double-click Computer Management, and then double-click Shared Folders.
  • When you are administering another computer remotely, your connection appears as an open named pipe. It cannot be closed.
  • For Windows 2000 Professional, only members of the Administrators or Power Users group can use Shared Folders. For Windows 2000 Server, members of the Server Operators group can also use Shared Folders.


Create a shared folder

To create a shared folder

  1. Open Shared Folders.
  2. In the console tree, click Shares.
  3. Click the Action menu and then click New File Share.
  4. Follow the directions on the screen.

    You will be prompted to select a drive, type a new share name, set permissions, and type a description of the shared folder.

Notes

  • To open Shared Folders, click Start, point to Settings, and click Control Panel. Double-click Administrative Tools, double-click Computer Management, and then double-click Shared Folders.
  • For Windows 2000 Professional, only members of the Administrators or Power Users group can use Shared Folders. For Windows 2000 Server, members of the Server Operators group can also use Shared Folders.


Stop sharing a folder

To stop sharing a folder

  1. Open Shared Folders.
  2. In the console tree, click Shares.
  3. Right-click the folder you want to stop sharing, and then click Stop Sharing.

Important

  • If you stop sharing a folder that users are connected to, they may lose data. Therefore, it is a good idea to warn connected users before you stop sharing a folder.
  • In most cases you should not stop sharing one of the special shares created by the system (for example, A$, B$, C$, ADMIN$, IPC$, NETLOGON, or PRINT$).
  • For Windows 2000 Professional, only members of the Administrators or Power Users group can use Shared Folders. For Windows 2000 Server, members of the Server Operators group can also use Shared Folders.

Note

  • To open Shared Folders, click Start, point to Settings, and click Control Panel. Double-click Administrative Tools, double-click Computer Management, and then double-click Shared Folders.


Change permissions on a shared folder

To change permissions on a shared folder

  1. Open Shared Folders.
  2. In the console tree, click Shares.
  3. Right-click the shared folder you want to set permissions for, and then click Properties.
  4. On the Security tab, click the name of the user or group whose permissions you want to change.
  5. In Permissions, click Allow or Deny for each permission.

Notes

  • To open Shared Folders, click Start, point to Settings, and click Control Panel. Double-click Administrative Tools, double-click Computer Management, and then double-click Shared Folders.
  • When assigning permissions, it is usually easier to assign permissions to groups and then add users to groups rather than assign identical permissions to a number of individual users.
  • Permissions for a shared folder are effective only when the folder is reached over a network.
  • Permissions for a shared folder on an NTFS volume operate in addition to NTFS access permissions set on the folder. Shared folder permissions specify the maximum access allowed over the network.
  • You can set share permissions for shared folders on NTFS or FAT formatted drives.
  • For Windows 2000 Professional, only members of the Administrators or Power Users group can use Shared Folders. For Windows 2000 Server, members of the Server Operators group can also use Shared Folders.


Set caching options for a shared folder

To set caching options for a shared folder

  1. Open Shared Folders.
  2. In the console tree, click Shares.
  3. Right-click the shared folder you want to set caching options for, and then click Properties.
  4. Click Caching, and then select the Allow caching of files in this shared folder check box.
  5. In Setting, click the option you want.

Notes

  • To open Shared Folders, click Start, point to Settings, and click Control Panel. Double-click Administrative Tools, double-click Computer Management, and then double-click Shared Folders.
  • The text under Setting briefly explains the selected option. For more information about caching options, see Related Topics.
  • In Windows 2000 Professional, the Allow caching of files in this shared folder check box is selected by default. In Windows 2000 Server, it is cleared by default.
  • For Windows 2000 Professional, only members of the Administrators or Power Users group can use Shared Folders. For Windows 2000 Server, members of the Server Operators group can also use Shared Folders.


Working with Users and Groups

  • Add a user or group to a shared folder
  • Remove a user or group from a shared folder
  • Limit the number of users of a shared folder


Add a user or group to a shared folder

To add a user or group to a shared folder

  1. Open Shared Folders.
  2. In the console tree, click Shares.
  3. Right-click the shared folder you want to add a user or group to, and then click Properties.
  4. On the Security tab, click Add.
  5. In the Name list, click the name of the user or group you want to add, click Add, and then click OK.
  6. On the Security tab, in Permissions, select which permissions to allow or deny the new user or group.

Notes

  • To open Shared Folders, click Start, point to Settings, and click Control Panel. Double-click Administrative Tools, double-click Computer Management, and then double-click Shared Folders.
  • In step 5, you can also enter a user name or group name in the Name text box. After entering the name, click Add, and then click OK.
  • To add users or groups from another workgroup or domain, click the arrow next to Look in and then click the workgroup or domain you want.
  • For Windows 2000 Professional, only members of the Administrators or Power Users group can use Shared Folders. For Windows 2000 Server, members of the Server Operators group can also use Shared Folders.


Remove a user or group from a shared folder

To remove a user or group from a shared folder

  1. Open Shared Folders.
  2. In the console tree, click Shares.
  3. Right-click the shared folder you want to remove users from, and then click Properties.
  4. On the Security tab, click the name of the user or group you want to remove, and then click Remove.

Notes

  • To open Shared Folders, click Start, point to Settings, and click Control Panel. Double-click Administrative Tools, double-click Computer Management, and then double-click Shared Folders.
  • For Windows 2000 Professional, only members of the Administrators or Power Users group can use Shared Folders. For Windows 2000 Server, members of the Server Operators group can also use Shared Folders.


Limit the number of users of a shared folder

To limit the number of users of a shared folder

  1. Open Shared Folders.
  2. In the console tree, click Shares.
  3. Right-click the shared folder for which you want to limit the number of users, and then click Properties.
  4. Under User Limit, click Maximum Allowed or Allow.

    If you click Allow, specify a maximum number in Users.

Notes

  • To open Shared Folders, click Start, point to Settings, and click Control Panel. Double-click Administrative Tools, double-click Computer Management, and then double-click Shared Folders.
  • For Windows 2000 Professional, only members of the Administrators or Power Users group can use Shared Folders. For Windows 2000 Server, members of the Server Operators group can also use Shared Folders.


Caching options for shared files and folders

When you share a folder on a network, you decide whether people can work with the contents of the folder when they are offline. With Offline Files, others on the network can open and update the files in your shared folder even if they are currently disconnected from the network.

To make network files available offline, Offline Files stores them in the computer's cache. The cache is a portion of disk space that a computer can access even if it is not connected to the network.

For more information about Offline Files, click Help in the Caching Settings dialog box.

Offline Files has three caching options:

Manual Caching for Documents

Manual caching makes only those files available offline that someone using your shared folder identifies manually. Manual caching is ideal for a shared network folder that contains files such as documents or drawings. This option is used by default if your shared folder is set up to be used offline.

Automatic Caching for Documents

Automatic caching makes the contents of a folder available offline whether someone using your shared folder specifically chooses to make them available or not. Automatic caching makes every file that someone opens available to that person offline. Documents, drawings, program files, and other files can all be made available.

Only those files that someone opens in your shared network folder will continue to be available to that person when working offline.

Automatic Caching for Programs

If you want every file in a shared folder to be available offline but you don't want to create a large amount of network traffic, choose Automatic Caching for Programs. This option is perfect for network programs that people start from your shared folder.

For example, someone can start a program installed in a shared network folder and continue using the program even when disconnected from the shared folder. Network programs that are cached on a computer generally start and run faster than those on the network. The system need not wait for a response from the network every time the program starts.

When you use Automatic Caching for Programs, be careful to restrict permissions on the files contained in the shared folder to read-only.

Automatic Caching for Programs reduces network use by letting people open network files without locking them for exclusive use. Two people can start programs saved on a network drive at the same time, increasing the performance of network programs. They can also update files simultaneously if those files are not read-only. You should not use Automatic Caching for Programs for shared folders that contain files that can be changed.


Manage properties of a shared folder

To manage properties of a shared folder

  1. Open Shared Folders.
  2. In the console tree, click Shares.
  3. Right-click the shared folder you want to manage properties for, and then click Properties.
  4. On the General or Security tab, make the changes you want, and then click OK.

Notes

  • To open Shared Folders, click Start, point to Settings, and click Control Panel. Double-click Administrative Tools, double-click Computer Management, and then double-click Shared Folders.
  • For Windows 2000 Professional, only members of the Administrators or Power Users group can use Shared Folders. For Windows 2000 Server, members of the Server Operators group can also use Shared Folders.